<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@drawable/common_union_dialog_bg"
    android:orientation="vertical"
    android:paddingStart="@dimen/dp24"
    android:paddingEnd="@dimen/dp24"
    android:paddingTop="@dimen/dp10">

    <!--    title-->
    <RelativeLayout
        android:id="@+id/vivo_common_union_dialog_title_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp21"
        android:layout_marginBottom="@dimen/dp21"
        android:visibility="gone">

        <TextView
            android:id="@+id/tv_common_dialog_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="@color/vivo_pay_carrier_select_title_color"
            android:textSize="@dimen/sp20" />
    </RelativeLayout>

    <!--    message-->
    <FrameLayout
        android:id="@+id/vivo_common_dlg_message_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <!--        可替换层-->
        <LinearLayout
            android:id="@+id/vivo_common_dlg_content"
            android:orientation="vertical"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingTop="@dimen/dp16"
            android:paddingBottom="@dimen/dp16">

            <com.vivo.unionpay.embedded.pay.core.customview.SmartTextView
                android:id="@+id/tv_vivo_common_dlg_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:heightRatio="1.5"
                android:textColor="@color/vivo_pay_common_dialog_message_color"
                android:textSize="@dimen/sp14" />

            <com.vivo.unionpay.embedded.pay.core.customview.SmartTextView
                android:id="@+id/tv_vivo_common_dlg_sub_content"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                app:heightRatio="1.5"
                android:textColor="@color/vivo_common_black"
                android:textSize="@dimen/sp12"
                android:layout_marginTop="@dimen/dp36"
                android:visibility="gone"/>

        </LinearLayout>

    </FrameLayout>

    <!--    button-->
    <LinearLayout
        android:id="@+id/vivo_common_dlg_btn_horizontal_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal"
        android:paddingTop="@dimen/dp10"
        android:paddingBottom="@dimen/dp20"
        android:gravity="center_horizontal"
        android:visibility="gone">

        <com.vivo.unionpay.embedded.pay.core.customview.RobotoMediumTextView
            android:id="@+id/vivo_common_dlg_btn_negative"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp36"
            android:layout_weight="1"
            android:textSize="@dimen/sp16"
            android:textColor="@color/vivo_pay_info_collection_editing_subline"
            android:singleLine="true"
            android:gravity="center"
            android:background="@drawable/vivo_common_white_bg" />

        <com.vivo.unionpay.embedded.pay.core.customview.RobotoMediumTextView
            android:id="@+id/vivo_common_dlg_btn_positive"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp36"
            android:layout_weight="1"
            android:layout_marginStart="@dimen/dp8"
            android:gravity="center"
            android:textColor="@color/vivo_common_white"
            android:textSize="@dimen/sp16"
            android:singleLine="true"
            android:background="@drawable/vivo_common_blue_bg" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/vivo_common_dlg_btn_vertical_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:visibility="gone">

        <com.vivo.unionpay.embedded.pay.core.customview.RobotoMediumTextView
            android:id="@+id/vivo_common_dlg_btn_top"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp36"
            android:layout_marginTop="@dimen/dp10"
            android:layout_marginBottom="@dimen/dp10"
            android:gravity="center"
            android:textColor="@color/vivo_common_white"
            android:textSize="@dimen/sp16"
            android:singleLine="true"
            android:background="@drawable/vivo_common_blue_bg" />

        <com.vivo.unionpay.embedded.pay.core.customview.RobotoMediumTextView
            android:id="@+id/vivo_common_dlg_btn_bottom"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp36"
            android:layout_marginTop="@dimen/dp10"
            android:layout_marginBottom="@dimen/dp20"
            android:textSize="@dimen/sp16"
            android:textColor="@color/vivo_pay_info_collection_editing_subline"
            android:singleLine="true"
            android:gravity="center"
            android:background="@drawable/vivo_common_white_bg" />
    </LinearLayout>

    <com.vivo.unionpay.embedded.pay.core.customview.RobotoMediumTextView
        android:id="@+id/vivo_common_dlg_one_btn"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp36"
        android:gravity="center"
        android:layout_marginTop="@dimen/dp10"
        android:layout_marginBottom="@dimen/dp20"
        android:textSize="@dimen/sp16"
        android:textColor="@color/vivo_pay_radio_button_checked"
        android:singleLine="true"
        android:background="@drawable/vivo_common_white_bg"
        android:visibility="gone" />

</LinearLayout>